Inhoud

# Instructie WaitUntil

Onderbreekt de uitvoering van het programma tot de gespecificeerde tijd is verlopen.

### Syntaxis:

WaitUntil-tijd

### Parameters:

Time: Een datum en tijd expressie die de datum en de tijd bevat, waarop moet worden gewacht voor het uitvoeren van het programma.

### Foutcodes:

5 Ongeldige aanroep van procedure

### Voorbeeld:

            REM Wacht tot 6:00 uur en voer dan MijnMacro uit.
            REM Als het 6:00 uur is geweest, exit.
            Sub ExampleWaitUntil
            Dim vTimeschedule As Double
                vTimeSchedule = Date() + TimeValue("18:00:00")
                If vTimeSchedule < Now() Then Exit Sub
                WaitUntil vTimeSchedule
                Call MyMacro
            End Sub

Verwante onderwerpen

Instructie Wait